Index: /trunk/SophyaProg/Tests/smakefile
===================================================================
--- /trunk/SophyaProg/Tests/smakefile	(revision 2750)
+++ /trunk/SophyaProg/Tests/smakefile	(revision 2751)
@@ -219,5 +219,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)carrt.o: carrt.cc $(SOPHYAINCP)sopnamsp.h \
@@ -246,5 +246,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)lpk.o: lpk.cc $(SOPHYAINCP)sopnamsp.h \
@@ -275,5 +275,5 @@
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)intflapack.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)obj_fits.o: obj_fits.cc \
@@ -313,5 +313,5 @@
   $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)sopemtx.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)ovharr.o: ovharr.cc $(SOPHYAINCP)sopnamsp.h \
@@ -342,5 +342,5 @@
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)pizthr.o: pizthr.cc $(SOPHYAINCP)sopnamsp.h \
@@ -405,5 +405,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)ppftswap.o: ppftswap.cc \
@@ -433,5 +433,5 @@
   $(SOPHYAINCP)fiondblock.h \
   $(SOPHYAINCP)tarrinit.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)spar.o: spar.cc $(SOPHYAINCP)sopnamsp.h \
@@ -461,5 +461,5 @@
   $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)resusage.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)sph2lm.o: sph2lm.cc $(SOPHYAINCP)sopnamsp.h \
@@ -509,5 +509,5 @@
   $(SOPHYAINCP)fftwserver.h \
   $(SOPHYAINCP)fftservintf.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)sphg0.o: sphg0.cc $(SOPHYAINCP)sopnamsp.h \
@@ -546,5 +546,5 @@
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)HEALPixUtils.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tcmd.o: tcmd.cc $(SOPHYAINCP)sopnamsp.h \
@@ -567,5 +567,5 @@
   $(SOPHYAINCP)mutyv.h \
   $(SOPHYAINCP)ctimer.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tcxxcmpldynl.o: tcxxcmpldynl.cc \
@@ -599,5 +599,5 @@
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tdcr.o: tdcr.cc $(SOPHYAINCP)sopnamsp.h \
@@ -632,5 +632,5 @@
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tdynl.o: tdynl.cc $(SOPHYAINCP)sopnamsp.h \
@@ -660,5 +660,5 @@
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tfft.o: tfft.cc $(SOPHYAINCP)sopnamsp.h \
@@ -691,5 +691,5 @@
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)thash.o: thash.cc $(SOPHYAINCP)sopnamsp.h \
@@ -701,5 +701,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)timg.o: timg.cc $(SOPHYAINCP)sopnamsp.h \
@@ -732,5 +732,5 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)fiondblock.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tmxv.o: tmxv.cc $(SOPHYAINCP)sopnamsp.h \
@@ -757,5 +757,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tnt.o: tnt.cc $(SOPHYAINCP)sopnamsp.h \
@@ -785,5 +785,5 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tobjio2.o: tobjio2.cc \
@@ -820,5 +820,5 @@
   $(SOPHYAINCP)nbrandom.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tobjio.o: tobjio.cc $(SOPHYAINCP)sopnamsp.h \
@@ -855,5 +855,5 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)fioarr.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tpipe.o: tpipe.cc $(SOPHYAINCP)sopnamsp.h \
@@ -862,5 +862,5 @@
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tsimplex.o: tsimplex.cc \
@@ -897,5 +897,5 @@
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tsphereecp.o: tsphereecp.cc \
@@ -956,5 +956,5 @@
   $(SOPHYAINCP)fftpserver.h \
   $(SOPHYAINCP)tod.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tspm2.o: tspm2.cc $(SOPHYAINCP)sopnamsp.h \
@@ -1009,5 +1009,5 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tspm.o: tspm.cc $(SOPHYAINCP)sopnamsp.h \
@@ -1052,5 +1052,5 @@
   $(SOPHYAINCP)misstime.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tstboloread.o: tstboloread.cc \
@@ -1079,5 +1079,5 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fabtwriter.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tstcolread.o: tstcolread.cc \
@@ -1105,5 +1105,5 @@
   $(SOPHYAINCP)FitsIO/longnam.h \
   $(SOPHYAINCP)fabtwriter.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tstdtable.o: tstdtable.cc \
@@ -1133,5 +1133,5 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppftpointerio.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tstndblk.o: tstndblk.cc \
@@ -1144,5 +1144,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)anydataobj.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tstppfwrapstl.o: tstppfwrapstl.cc \
@@ -1162,5 +1162,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tstsegdb.o: tstsegdb.cc \
@@ -1185,5 +1185,5 @@
   $(SOPHYAINCP)ppfswapper.h \
   $(SOPHYAINCP)ppfwrapstlv.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tsttmat.o: tsttmat.cc \
@@ -1214,5 +1214,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tsttminv.o: tsttminv.cc \
@@ -1245,5 +1245,5 @@
   $(SOPHYAINCP)srandgen.h \
   $(SOPHYAINCP)intflapack.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)tsttvec.o: tsttvec.cc \
@@ -1274,5 +1274,5 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)srandgen.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)ttimestamp.o: ttimestamp.cc \
@@ -1286,5 +1286,5 @@
   $(SOPHYAINCP)sophyainit.h \
   $(SOPHYAINCP)pexceptions.h
-	$(CXXCOMPILE) -o $@ $<
+	$(CXXCOMPILEPROG) -o $@ $<
  
 $(SOPHYAOBJP)zthr.o: zthr.cc $(SOPHYAINCP)sopnamsp.h \
@@ -1293,4 +1293,4 @@
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)timing.h
-	$(CXXCOMPILE) -o $@ $<
- 
+	$(CXXCOMPILEPROG) -o $@ $<
+ 
